Page MenuHomePhabricator

[hexagon] Pickup the default crt and libs when the musl target is selected
ClosedPublic

Authored by sidneym on Feb 25 2020, 1:46 PM.

Details

Diff Detail

Event Timeline

sidneym created this revision.Feb 25 2020, 1:46 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 25 2020, 1:46 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
bcain accepted this revision.Feb 27 2020, 8:05 AM

LGTM

This revision is now accepted and ready to land.Feb 27 2020, 8:05 AM
sidneym marked an inline comment as done.Feb 27 2020, 9:53 AM
sidneym added inline comments.
clang/lib/Driver/ToolChains/Hexagon.cpp
290

the default selection of the dynamic-linker needs to move above AddAllArgs.

sidneym updated this revision to Diff 247251.Feb 28 2020, 6:20 AM

Move selection of the dynamic linker before user args are added.

This revision was automatically updated to reflect the committed changes.
sidneym updated this revision to Diff 247711.Mon, Mar 2, 12:35 PM

Update testcase.

sidneym reopened this revision.Mon, Mar 2, 12:38 PM
This revision is now accepted and ready to land.Mon, Mar 2, 12:38 PM
sidneym updated this revision to Diff 247724.Mon, Mar 2, 1:45 PM

address clang-tidy issues

This revision was automatically updated to reflect the committed changes.